<?php

ini_set('display_errors', 1);
error_reporting(E_ALL);

include 'db.php';

$sql = 
"SELECT 
	transaksi.Tanggal_beli,
	pelanggan.Nama,
	kendaraan.Merk_kendaraan,
	kendaraan.Tipe_kendaraan,
	onderdil.Nama_onderdil
	FROM transaksi
	JOIN pelanggan ON transaksi.No_plg = pelanggan.no_id
	JOIN kendaraan ON transaksi.No_kendaraan = kendaraan.no_id
	JOIN onderdil ON transaksi.No_onderdil = onderdil.no_id";
	
$result = $conn->query($sql);

if (!$result) {
    echo "Query JOIN gagal!<br>";
    echo "Error: " . $conn->error;
} else {
    echo "JOIN berhasil dieksekusi.<br>";
    echo "Jumlah baris hasil: " . $result->num_rows;
}


?>